> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a group.

> 
    ROLES: USER_ADMIN,USER_WRITE
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml post /api/v1/groups
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/groups:
    post:
      tags:
        - Groups
      summary: Create a group.
      description: |2-

            ROLES: USER_ADMIN,USER_WRITE
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: GroupsController_postType
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateGroupDto'
      responses:
        '201':
          description: Created.
        '400':
          description: Bad input of the data.
        '403':
          description: Forbidden.
      security:
        - bearer: []
components:
  schemas:
    CreateGroupDto:
      type: object
      properties:
        name:
          type: string
          description: Label is only used for the presentation.
        category:
          type: string
          description: Category is only used for the presentation.
        desc:
          type: string
          description: Desc (visible to users).
        ownerId:
          type: string
          description: You must provide owner of the group.
        ownerType:
          type: string
          description: Owner type.
          enum:
            - USER
            - GROUP
      required:
        - name
        - ownerId
        - ownerType
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````